From ian.abbott@mev.co.uk Mon Sep 12 04:26:02 2005
Message-ID: <4325652D.3040002@mev.co.uk>
Date: Mon, 12 Sep 2005 12:23:25 +0100
From: Ian Abbott <abbotti@mev.co.uk>
Cc: Greg KH <greg@kroah.com>
Subject: USB: ftdi_sio: custom baud rate fix


ftdi_sio: I messed up the baud_base for custom baud rate support in
2.6.13.  The attached one-liner patch fixes it.

Signed-off-by: Ian Abbott <abbotti@mev.co.uk>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>


---
 drivers/usb/serial/ftdi_sio.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

--- gregkh-2.6.orig/drivers/usb/serial/ftdi_sio.c	2005-09-12 10:47:36.000000000 -0700
+++ gregkh-2.6/drivers/usb/serial/ftdi_sio.c	2005-09-12 11:39:44.000000000 -0700
@@ -914,7 +914,7 @@ static void ftdi_determine_type(struct u
 	unsigned interfaces;
 
 	/* Assume it is not the original SIO device for now. */
-	priv->baud_base = 48000000 / 16;
+	priv->baud_base = 48000000 / 2;
 	priv->write_offset = 0;
 
 	version = le16_to_cpu(udev->descriptor.bcdDevice);
